---
search:
  tags:
    - Translations
    - POST
seo:
  description: >-
    Creates a new translation record for a parent item with… Reference for the
    POST /api/v1/{team_slug}/{app_slug}/translations endpoint in the Management
    API.
sidebar:
  label: Create translation
  badge: POST
title: Create translation
type: openapi-operation
---
Creates a new translation record for a parent item with support for automatic slug generation for products

`POST /api/v1/{team_slug}/{app_slug}/translations`

**Request body** (`application/json`, required)

Translation data

- `create_slug` (boolean) — if this is true and the fieldType is name, a slug is generated from the translation, or formatted as a slug when the fieldType is slug. Generating a slug from a name is only available to products as of now. An existing slug is only replaced when the app automates redirect creation.
- `field_type` (github_com_enadhq_nabbit_internal_pkg_database.TranslationFieldType, required)
- `language_code` (string, required) — Locale code like "en" or "en-gb". The locale also needs to be configured and supported by the app.
- `parent_ref` (string, required)
- `parent_type` (github_com_enadhq_nabbit_internal_pkg_database.TranslationType)
- `translation` (string, required)

Request body example:

```json
{
  "create_slug": true,
  "field_type": "name",
  "language_code": "string",
  "parent_ref": "string",
  "parent_type": "product",
  "translation": "string"
}
```

**Responses**

- `200` — Translation created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "field_type": "name",
    "id": "string",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
